public class ConjuntoContas {
  private Conta[] contas;
  private int indice;

  public ConjuntoContas (int tam) {
    contas = new Conta[tam];
    indice = 0;
  }

  /* ... */

  public void inserir(Conta c) throws IllegalArgumentException {
      contas[indice] = c;
      indice = indice + 1;
  }

  public Conta procurar(String n){
    Conta c = null;
    int i = this.procurarIndice(n);
    c = contas[i];
    return c;
  }

  public boolean existe(String n) {
    int i = this.procurarIndice(n);
    return (i != indice);
  }

  private int procurarIndice(String n) {
    int i = 0;
    boolean achou = false   ;
    while((!achou) && (i < indice)) {
      if ((contas[i].getNumero()).equals(n))
        achou = true;
      else i = i + 1;
    }
    return i;
  }
}